import "./css/do-not-edit.scss";
import "./css/friendslist.scss"; // Modify this file as required.

// Library recommendations:
// axios, javascript-time-ago
// TODO: remove.
import Axios from "axios";
import TimeAgo from "javascript-time-ago";
import en from 'javascript-time-ago/locale/en'
TimeAgo.addLocale(en)
const timeAgo = new TimeAgo('en');


const targets = ["tgt0", "tgt1", "tgt2"];

function onload(){
    // Load data/friends.json, somehow, into friendslist.
        // Recommend axios, but xmlhttprequest will work too.
    // then renderAll(friendslist)

    // YOUR SOLUTION HERE

    Axios.get('/data/friends.json')
    .then( resp => {
        renderAll(resp.data);
    });
}
window.addEventListener("load", onload);


function renderAll(friendslist){
    targets.forEach( tgt => render(
        document.getElementById(tgt), friendslist));
}

function render(targetDiv, friendslist){
    // YOUR SOLUTION HERE
    friendslist.forEach( (friend) => {
        const { name, picture, lastSeen, about, lastMessage } = friend;
        const card = document.createElement("div");
        card.classList.add("profile-card");

        // Profile image
        const img = document.createElement("img");
        img.src = picture;
        card.appendChild(img);
        
        const detailsContainer = document.createElement("div");
        detailsContainer.classList.add("details");
        // Name
        const nameC = document.createElement("div");
        nameC.classList.add("name")
        nameC.innerText = name;
        detailsContainer.appendChild(nameC);

        // lastMessage
        const lastM = document.createElement("div");
        lastM.classList.add("last-message");
        lastM.innerText = lastMessage;
        detailsContainer.appendChild(lastM);

        // div
        const lastSeenC = document.createElement("span");
        lastSeenC.classList.add("last-seen");
        console.log(new Date(lastSeen));
        lastSeenC.innerText = timeAgo.format(new Date(lastSeen), 'twitter')
        detailsContainer.appendChild(lastSeenC);

        card.appendChild(detailsContainer);
        targetDiv.appendChild(card);
    })
    
}